{
  "name": "MacroinfManage_MES",
  "version": "1.1.0",
  "description": "A Management Information System of QIANG LI CO,.LTD,the template is from git+https://github.com/PanJiaChen/vue-element-admin.git",
  "author": "MESWORK",
  "scripts": {
    "dev": "webpack serve --config build/webpack.dev.conf.js",
    "start": "npm run dev",
    "build": "webpack --config build/webpack.prod.conf.js"
  },
  "dependencies": {
    "axios": "^0.21.4",
    "buffer": "^6.0.3",
    "crypto-browserify": "^3.12.1",
    "dhtmlx-gantt": "^8.3.4",
    "docxtemplater": "^3.42.0",
    "echarts": "^5.4.3",
    "element-ui": "^2.15.14",
    "file-saver": "^2.0.5",
    "html2canvas": "^1.4.1",
    "install": "^0.13.0",
    "jquery": "^3.7.1",
    "js-cookie": "^3.0.5",
    "jspdf": "^2.5.1",
    "jszip-utils": "^0.1.0",
    "mqtt": "^4.3.7",
    "normalize.css": "^8.0.1",
    "nprogress": "^0.2.0",
    "path-browserify": "^1.0.1",
    "process": "^0.11.10",
    "qrcode": "^1.5.3",
    "stream-browserify": "^3.0.0",
    "stylus": "^0.54.8",
    "stylus-loader": "^6.2.0",
    "time-formater": "^1.0.3",
    "util": "^0.12.5",
    "uuid": "^9.0.1",
    "vue": "^2.7.16",
    "vue-count-to": "^1.0.13",
    "vue-direction-key": "^1.0.5",
    "vue-json-viewer": "^2.2.22",
    "vue-print-nb": "^1.7.5",
    "vue-router": "^3.6.5",
    "vuex": "^3.6.2",
    "xlsx": "^0.18.5",
    "xlsx-style": "^0.8.13"
  },
  "devDependencies": {
    "@babel/core": "^7.28.4",
    "@babel/eslint-parser": "^7.28.4",
    "@babel/plugin-syntax-jsx": "7.27.1",
    "@babel/plugin-transform-runtime": "7.28.3",
    "@babel/preset-env": "^7.23.0",
    "@babel/runtime": "^7.28.4",
    "autoprefixer": "^10.4.16",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-loader": "^9.1.3",
    "babel-plugin-syntax-jsx": "^6.18.0",
    "babel-plugin-transform-vue-jsx": "4.0.1",
    "babel-preset-env": "^1.7.0",
    "babel-preset-stage-2": "^6.24.1",
    "chalk": "^4.1.2",
    "copy-webpack-plugin": "^11.0.0",
    "css-loader": "^6.8.1",
    "css-minimizer-webpack-plugin": "^5.2.0",
    "eslint": "8.57.0",
    "eslint-friendly-formatter": "^4.0.1",
    "eslint-loader": "4.0.2",
    "eslint-plugin-vue": "7.20.0",
    "eslint-webpack-plugin": "^4.0.1",
    "eventsource-polyfill": "^1.0.0",
    "file-loader": "^6.2.0",
    "friendly-errors-webpack-plugin": "^1.7.0",
    "html-webpack-plugin": "^5.5.3",
    "mini-css-extract-plugin": "^2.7.6",
    "node-notifier": "^10.0.1",
    "optimize-css-assets-webpack-plugin": "^5.0.8",
    "ora": "^5.4.1",
    "portfinder": "^1.0.32",
    "postcss": "^8.4.31",
    "postcss-import": "^12.0.1",
    "postcss-loader": "^7.3.3",
    "postcss-url": "^10.1.3",
    "raw-loader": "^4.0.2",
    "rimraf": "^3.0.2",
    "sass": "^1.69.5",
    "sass-loader": "^13.3.2",
    "script-ext-html-webpack-plugin": "^2.1.5",
    "script-loader": "^0.7.2",
    "semver": "^7.5.4",
    "shelljs": "^0.8.5",
    "svg-sprite-loader": "^6.0.11",
    "svgo": "^3.2.0",
    "terser-webpack-plugin": "^5.3.9",
    "uglifyjs-webpack-plugin": "^2.2.0",
    "url-loader": "^4.1.1",
    "vue-loader": "^15.10.1",
    "vue-style-loader": "^4.1.3",
    "vue-template-compiler": "^2.7.16",
    "webpack": "^5.89.0",
    "webpack-bundle-analyzer": "^4.10.0",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^4.15.1",
    "webpack-merge": "^5.10.0"
  },
  "engines": {
    "node": ">=20.0.0",
    "npm": ">=9.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 11"
  ]
}
